/*
	File: FormatUtilites.h

	Copyright 1994 by Adobe Systems, Inc.  All rights reserved.

	Utilities for acquire modules.
*/

#ifndef __FormatUtilities__
#define __FormatUtilities__

#include "PITypes.h"
#include "PIGeneral.h"
#include "PIFormat.h"
/*****************************************************************************/

typedef struct GlobalData
	{

	FormatRecordPtr	stuff;
	short			result;
	
	BufferID		pixelBuffer;
	Ptr				pixelData;
	
	int32			rowBytes;
	
	} Globals, *GPtr, **GHdl;
	
/*****************************************************************************/

#define gStuff       ((*globals).stuff)
#define gResult      ((*globals).result)

#define gPixelBuffer ((*globals).pixelBuffer)
#define gPixelData   ((*globals).pixelData)

#define gRowBytes    ((*globals).rowBytes)

/*****************************************************************************/

/* Function Prototypes.

	Only the following functions are platform dependent
	they are implemented in SimUIWin.c (for MS Windows)
	and SimUIMac.c (for Macintosh) respectively.

*/

void DoAbout (GPtr globals);

#if MSWindows

// prototypes of some Mac toolbox routines used in Export.c
// Implemented in SimUiWin.c
OSErr FSWrite(int32 refNum,long *count,void *buffPtr); 
OSErr FSRead(int32 refNum,long *count,void *buffPtr); 
OSErr SetFPos(int32 refNum, short posMode, long posOff);

#define fsFromStart	0

#endif


#endif



